Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622797 - No more configuration of condor_config.local
No more configuration of condor_config.local
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide (Show other bugs)
Development
All Linux
high Severity high
: 1.3
: ---
Assigned To: Lana Brindley
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 08:53 EDT by Robert Rati
Modified: 2013-10-23 19:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 16:17:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Rati 2010-08-10 08:53:31 EDT
Description of problem:
The files condor retrieves configuration from is changing for 1.3.  Previously, the global configuration file (/etc/condor/condor_config) defined LOCAL_CONFIG_FILE pointed to $(LOCAL_DIR)/condir_config.local (where LOCAL_DIR = /var/lib/condor).  We originally extended this to define LOCAL_CONFIG_DIR in LOCAL_CONFIG_FILE for use with the condor-wallaby-client package.  We tell the user to edit condor_config.local in many places in the docs for various configuration settings.

In 1.3, this is all changing.  LOCAL_CONFIG_FILE will no longer be defined by default, and instead LOCAL_CONFIG_DIR (pointing to /etc/condor/config.d) will be the sole location for configuration extension.  Files need to be placed into LOCAL_CONFIG_DIR with the parameters for the desired changes, and files should be preceded with a 2 digit number (for order).  By default, the condor package will create a 00personal_condor with configuration required for a single node pool.

So, in all places where we tell the user to edit condor_config.local in /var/lib/condor we need to tell them to edit another file instead.  As the root user, they should create a file in /etc/condor/config.d starting with the number 10 followed by the name of the feature they're enabling. So for example, if they're enabling low-latency they should create a 10low_latency file, or if they're enabling Dynamic Slots they could create a 10dynamic_slots file.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2010-08-23 10:15:13 EDT
Instead of starting with 10, the files should start with 40
Comment 2 Lana Brindley 2010-08-25 00:39:47 EDT
I think I've got all the instances. If you find any that got missed, please open a new bug.

LKB
Comment 3 Lubos Trilety 2010-09-21 04:26:48 EDT
Documentation checked, no occurrence found.

>>> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.